#!/bin/sh
#转移MySQL数据库位置的脚本

#原目录
if [ "$1" ] && [ "$2" ]; then
	mysql_data_dir_old=$1
else
	mysql_data_dir_old=/usr/local/mysql/var
fi

#新目录
if [ "$1" ] && [ "$2" ]; then
	mysql_data_dir_new=$2
else
	mysql_data_dir_new=/home/mysql_data
fi


if [ ! -d $mysql_data_dir_new ]; then
	mkdir -p $mysql_data_dir_new
fi
ls ${mysql_data_dir_old}/ > /tmp/_mysql_data_list.txt
data_list=/tmp/_mysql_data_list.txt
data_count=`ls ${mysql_data_dir_old} | wc -l`

i=1
while [ $i -le $data_count ] ; do
	filename=`head -n $i $data_list | tail -n -1`
	full_filename=$mysql_data_dir_old/$filename
	if [ -d "$full_filename" ]; then
		if [ "$filename" != 'test' ] && [ "$filename" != 'performance_schema' ]; then
			echo "Coping ${full_filename} $mysql_data_dir_new/$filename";
			cp -rf $full_filename $mysql_data_dir_new/
			sleep 1
		fi
	fi

	i=$(($i + 1))
done

if [ -d $mysql_data_dir_new/mysql ]; then
	chown -R lu_mysql:lu_mysql $mysql_data_dir_new
	chmod -R 2770 $mysql_data_dir_new
	
	mysql-stop
	sleep 5;
	if [ `uname` = 'FreeBSD' ]; then
		killall mysqld
	else
		pkill mysqld
	fi
	echo
	sleep 5;

	/usr/local/mysql/bin/mysqld_safe --user=${mysql_user} --basedir=/usr/local/mysql --datadir=$mysql_data_dir_new &

	echo '数据转移完毕'

	echo '要删除旧数据吗（删除后不可恢复，请谨慎操作）？[y/N]'
	echo 'Do you want to delete the old data(Can not be revert)?[y/N]'
	
	read del_old_data
	if [ "$del_old_data" = 'y' ] || [ "$del_old_data" = 'Y' ]; then
		rm -rf $mysql_data_dir_old/*
	fi
else
	echo '数据转移失败'
fi
