#!/bin/sh

color_cyan="  [40;36m"
color_red="  [40;31m"
color_yellow="  [40;33m"
color_green="  [40;32m"
color_white="  [40;37m"

if [ `uname` = 'FreeBSD' ]; then
	file_get='fetch'
else
	file_get='wget'
fi

showmsg () {
	NO3_var=$3
	NO4_var=$4

	if [ ! "$NO3_var" ]; then
		NO3_var=$color_yellow
	fi

	if [ ! "$NO4_var" ]; then
		NO4_var=$color_white
	fi

	echo
	echo -e $NO3_var$1$NO4_var
	if [ "$2" ]; then
		echo -e $NO3_var$2$NO4_var
	fi
	echo -e
}

if [ ! -f "./zijidelu_install.tar.gz" ] && [ ! -d "./zijidelu_install" ]; then
	showmsg    "开始下载zijidelu_install.tar.gz"    "Starting download zijidelu_install.tar.gz"
	sleep 2
	`${file_get} http://down.zijidelu.org/zijidelu_install.tar.gz`

	if [ ! -e "./zijidelu_install.tar.gz" ]; then
		showmsg    "zijidelu_install.tar.gz下载失败"    "Can't to download zijidelu_install.tar.gz"
		exit
	fi
fi

tar -zxvf zijidelu_install.tar.gz

cd ./zijidelu_install
if [ "$1" = '-y' ] || [ "$1" = '-Y' ]; then
	./i.sh -y
else
	./i.sh
fi

